Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdReceipt

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt

Direct Known Subclasses:
  `cmdReceipt.FiscalReceipt`, `cmdReceipt.FiscalReceipt.FiscalTransaction`, `cmdReceipt.InvoiceClientInfo`, `cmdReceipt.NonFiscalReceipt`

    public class cmdReceipt
    extends DatecsFiscalDevice

Primary class for printing of fiscal and non-fiscal receipt.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdReceipt.BarcodeType` | Printing of barcode '1' - EAN8 barcode.
  `static class` | `cmdReceipt.FiscalReceipt` | Fiscal receipt
  `static class` | `cmdReceipt.InvoiceClientInfo` | Enter and save invoice client data
  `static class` | `cmdReceipt.NonFiscalReceipt` |
  `static class` | `cmdReceipt.PaidMode` |
  `static class` | `cmdReceipt.SeparatingLine` | Type - Type of the separating line.
  `static class` | `cmdReceipt.TotalResult` | Data class

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `cmdReceipt()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `printBarcode​(java.lang.String bcData, cmdReceipt.BarcodeType bcType, java.lang.String bcAlign, boolean bcLongSize)` |
  `void` | `setPrintBarcodeData​(boolean value)` |

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### cmdReceipt

    public cmdReceipt()

- ## Method Details

  - ### printBarcode

    public void printBarcode​(java.lang.String bcData, cmdReceipt.BarcodeType bcType, java.lang.String bcAlign, boolean bcLongSize) throws java.lang.Exception
    Parameters:
      `bcData` -
      `bcType` - - Barcode type.
      `bcAlign` - - One byte: 'L', 'R' or 'C': left-, right-aligned or centred, respectively. It is allowed only in the two-dimensional barcodes. If the data are separated by ',', then they are printed as text as well. (Used only on FP-800 / FP-2000 / FP-650 / SK1-21F / SK1-31F/ FMP-10 / FP-700 )
      `bcLongSize` - - If true, barcodes Code 128 and ITF will be printed, if needed (longer data input), with a thin-line size of a single dot. Please, bear in mind that this barcode printing is not standard-compliant, but most readers can still read it. This way, the maximum length of the data input is doubled. The parameter has no effect on the other barcodes. (Used only on FP-800 / FP-2000 / FP-650 / SK1-21F / SK1-31F/ FMP-10 / FP-700 )
    Throws:
      `java.lang.Exception`

  - ### setPrintBarcodeData

    public void setPrintBarcodeData​(boolean value) throws java.lang.Exception
    Parameters:
      `value` - Enable/Disable printing of the barcode data; Default value is disabled to print data.
    Throws:
      `java.lang.Exception`